Summary:	A utility for displaying and/or setting hard disk parameters
Name:		hdparm
Version:	9.13
Release:	%mkrel 1
License:	BSD
Group:		System/Kernel and hardware
URL:		http://sourceforge.net/projects/hdparm/
Source0:	http://nchc.dl.sourceforge.net/sourceforge/hdparm/%name-%version.tar.gz
Source1:	hdparm-sysconfig
Patch0:		hdparm-no_strip.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Hdparm is a useful system utility for setting (E)IDE hard drive parameters. For
example, hdparm can be used to tweak hard drive performance and to spin down
hard drives for power conservation.

%prep

%setup -q
%patch0 -p0

%build
%serverbuild
perl -pi -e "s/-O2/$CFLAGS/" Makefile
make clean
%make LDFLAGS="%{ldflags}"

%install
rm -rf %{buildroot}

install -m0755 hdparm -D %{buildroot}/sbin/hdparm
install -m0644 hdparm.8 -D %{buildroot}%{_mandir}/man8/hdparm.8
install -m0644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/harddisks

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc hdparm.lsm Changelog README.acoustic
%config(noreplace) %{_sysconfdir}/sysconfig/harddisks
/sbin/hdparm
%{_mandir}/man8/hdparm.8*


%changelog
* Sun Mar 22 2009 Frederik Himpe <fhimpe@mandriva.org> 9.13-1mdv2009.1
+ Revision: 360284
- update to new version 9.13

* Fri Feb 27 2009 Thomas Backlund <tmb@mandriva.org> 9.12-1mdv2009.1
+ Revision: 345480
- update to 9.12

* Mon Feb 16 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.11-1mdv2009.1
+ Revision: 340704
- update to new version 9.11

* Mon Feb 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.10-1mdv2009.1
+ Revision: 338899
- update to new version 9.10

* Mon Jan 26 2009 Funda Wang <fundawang@mandriva.org> 9.9-1mdv2009.1
+ Revision: 333621
- New version 9.9

* Sun Jan 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 9.8-1mdv2009.1
+ Revision: 328352
- update to new version 9.8

* Wed Dec 24 2008 Oden Eriksson <oeriksson@mandriva.com> 9.6-1mdv2009.1
+ Revision: 318400
- 9.6
- rediffed P0

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 9.3-2mdv2009.1
+ Revision: 316759
- rediffed P0
- use %%ldflags

* Wed Nov 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 9.3-1mdv2009.1
+ Revision: 302451
- new version

* Sat Jun 21 2008 Funda Wang <fundawang@mandriva.org> 8.9-1mdv2009.0
+ Revision: 227773
- update to new version 8.9

* Sun Jun 15 2008 Oden Eriksson <oeriksson@mandriva.com> 8.8-1mdv2009.0
+ Revision: 219315
- 8.8
- really don't strip

* Thu May 15 2008 Oden Eriksson <oeriksson@mandriva.com> 8.6-1mdv2009.0
+ Revision: 207612
- 8.6

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 8.5-2mdv2008.1
+ Revision: 179940
- don't strip the binary (P0)

* Mon Feb 25 2008 Oden Eriksson <oeriksson@mandriva.com> 8.5-1mdv2008.1
+ Revision: 174535
- 8.5 (Major security fixes)

* Fri Feb 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 8.3-1mdv2008.1
+ Revision: 173830
- new release

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 8.1-1mdv2008.1
+ Revision: 170107
- 8.1
- use the %%serverbuild macro

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 7.7-1mdv2008.1
+ Revision: 140746
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - stop packaging useless README (that documents a very old patch!)

* Sun Aug 19 2007 Funda Wang <fundawang@mandriva.org> 7.7-1mdv2008.0
+ Revision: 67015
- New version 7.7

* Mon Jul 09 2007 Funda Wang <fundawang@mandriva.org> 7.6-1mdv2008.0
+ Revision: 50428
- New version

* Fri May 04 2007 Erwan Velu <erwan@mandriva.org> 7.3-1mdv2008.0
+ Revision: 22401
- 7.3


* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.9-1mdv2007.0
+ Revision: 86700
- Import hdparm

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 6.9-1mdv2007.1
- new release

* Thu Mar 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 6.6-1mdk
- new release

* Mon Dec 12 2005 Erwan Velu <erwan@seanodes.com> 6.3-1mdk
- 6.3

* Fri May 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.1-1mdk
- 6.1
- update url
- %%mkrel
- fix summary-ended-with-dot
- cosmetics

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.8-1mdk
- 5.8

* Wed Aug 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.6-1mdk
- new release

* Tue Feb 03 2004 Abel Cheung <deaddog@deaddog.org> 5.5-1mdk
- New version

